summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorSameer2018-12-12 21:09:00 -0600
committerSameer2018-12-12 21:09:00 -0600
commit440b055c3bb17a8fc29746c0e5c11f33fdbc905b (patch)
tree37e5831d5fc45c5847fdcbdf316b1a4a6d6ce809 /PKGBUILD
downloadaur-python-enamlx.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD103
1 files changed, 103 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a3d865e4701
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,103 @@
+# Maintainer: Unknown Packager
+
+export PIP_CONFIG_FILE=/dev/null
+export PIP_DISABLE_PIP_VERSION_CHECK=true
+
+pkgname=python-enamlx
+epoch=
+pkgver=0.3.0
+pkgrel=00
+pkgdesc='Additional Qt Widgets for Enaml'
+arch=(any)
+url=https://github.com/frmdstryr/enamlx
+license=(MIT)
+depends=(python python-enaml)
+## EXTRA_DEPENDS ##
+makedepends=(python-pip)
+checkdepends=()
+provides=()
+conflicts=(${provides%=*}) # No quotes, to avoid an empty entry.
+source=(PKGBUILD_EXTRAS)
+md5sums=(SKIP)
+source+=(https://files.pythonhosted.org/packages/be/5a/217fda69ee0e5fa2a9a558de29ead1591e6861b0b6869a075c1346810275/enamlx-0.3.0-py2.py3-none-any.whl)
+md5sums+=(896f51bd17ae1f74190c9abdbf682913)
+noextract=(enamlx-0.3.0-py2.py3-none-any.whl)
+source+=(LICENSE)
+md5sums+=(794244867fb0e2662f4faaca995758f9)
+_first_source() {
+ echo " ${source_i686[@]} ${source_x86_64[@]} ${source[@]}" |
+ tr ' ' '\n' | grep -Pv '^(PKGBUILD_EXTRAS)?$' | head -1
+}
+
+if [[ $(_first_source) =~ ^git+ ]]; then
+ provides+=("${pkgname%-git}")
+ conflicts+=("${pkgname%-git}")
+fi
+
+_is_wheel() {
+ [[ $(_first_source) =~ \.whl$ ]]
+}
+
+_dist_name() {
+ basename "$(_first_source)" |
+ sed 's/\(\.tar\.gz\|\.tgz\|\.tar\.bz2\|\.zip\|\.git\)$//'
+}
+
+if [[ $(_first_source) =~ ^git+ ]]; then
+ _pkgver() {
+ ( set -o pipefail
+ cd "$srcdir/$(_dist_name)"
+ git describe --long --tags 2>/dev/null |
+ sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" \
+ "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+ }
+
+ pkgver() { _pkgver; }
+fi
+
+_build() {
+ if _is_wheel; then return; fi
+ cd "$srcdir/$(_dist_name)"
+ # See Arch Wiki/PKGBUILD/license.
+ # Get the first filename that matches.
+ local test_name
+ if [[ ${license[0]} =~ ^(BSD|MIT|ZLIB|Python)$ ]]; then
+ for test_name in LICENSE LICENSE.txt license.txt COPYING COPYING.md COPYING.rst COPYING.txt COPYRIGHT; do
+ if cp "$srcdir/$(_dist_name)/$test_name" "$srcdir/LICENSE" 2>/dev/null; then
+ break
+ fi
+ done
+ fi
+ # Build the wheel (which we allow to fail) only after fetching the license.
+ /usr/bin/pip wheel -v --no-deps --wheel-dir="$srcdir" \
+ --global-option=--no-user-cfg \
+ --global-option=build --global-option=-j"$(nproc)" . ||
+ true
+}
+
+build() { _build; }
+
+_check() {
+ # Define check(), possibly using _check as a helper, to run the tests.
+ # You may need to call `python setup.py build_ext -i` first.
+ if _is_wheel; then return; fi
+ cd "$srcdir/$(_dist_name)"
+ /usr/bin/python setup.py -q test
+}
+
+_package() {
+ cd "$srcdir"
+ # pypa/pip#3063: pip always checks for a globally installed version.
+ /usr/bin/pip --quiet install --root="$pkgdir" \
+ --no-deps --ignore-installed --no-warn-script-location \
+ "$(ls ./*.whl 2>/dev/null || echo ./"$(_dist_name)")"
+ if [[ -f LICENSE ]]; then
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ fi
+}
+
+package() { _package; }
+
+. "$(dirname "$BASH_SOURCE")/PKGBUILD_EXTRAS"